{
  "name": "@stembord/react-quiz",
  "version": "0.1.9",
  "description": "react quiz",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/stembord/libs/ts-react-quiz.git"
  },
  "main": "./src/index.js",
  "types": "./src/index.d.ts",
  "scripts": {
    "build": "tsc",
    "prepublishOnly": "npm run clean && npm run build",
    "test": "ts-node node_modules/.bin/tape lib/**/*.test.{ts,tsx} | tap-spec",
    "coverage": "nyc --reporter=lcov --check-coverage --lines=75 --require ts-node/register tape lib/**/*.test.{ts,tsx} | tap-spec; nyc report ---reporter=text",
    "clean": "rm -rf ./src",
    "formatTS": "prettier-tslint fix '**/*.{ts,tsx}'",
    "formatJS": "prettier --write '**/*.{js,jsx,json}' --ignore-path .gitignore",
    "format": "npm run formatTS && npm run formatJS",
    "lint": "tslint -c tslint.json 'lib/**/*.{ts,tsx}' -e 'lib/**/*.test.*'",
    "simple": "parcel examples/simple/index.html --open"
  },
  "keywords": [
    "react",
    "quiz"
  ],
  "author": "Nathan Faucett",
  "license": "(MIT OR Apache-2.0)",
  "readmeFilename": "README.md",
  "devDependencies": {
    "@primer/octicons-react": "^9.1.1",
    "@stembord/bootstrap-overrides": "^0.1.2",
    "@types/classnames": "^2.2.9",
    "@types/enzyme": "^3.9.4",
    "@types/enzyme-adapter-react-16": "^1.0.5",
    "@types/jsdom": "^12.2.4",
    "@types/react": "^16.8.22",
    "@types/react-dom": "^16.8.4",
    "@types/reactstrap": "^8.0.1",
    "@types/tape": "^4.2.33",
    "bootstrap": "^4.3.1",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.14.0",
    "jsdom": "^15.1.1",
    "katex": "^0.10.2",
    "nyc": "^14.1.1",
    "parcel": "^1.12.3",
    "prettier": "^1.18.2",
    "prettier-tslint": "^0.4.2",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "reactstrap": "^8.0.0",
    "sass": "^1.22.1",
    "tap-nyc": "^1.0.3",
    "tap-spec": "^5.0.0",
    "tape": "^4.11.0",
    "ts-node": "^8.3.0",
    "tslint": "^5.18.0",
    "tslint-config-prettier": "^1.18.0",
    "typescript": "^3.5.2"
  },
  "dependencies": {
    "@stembord/core": "^0.1.2",
    "@stembord/rand": "^0.1.1",
    "classnames": "^2.2.6",
    "react-katex": "^2.0.2"
  },
  "peerDependencies": {
    "katex": "^0.10.2",
    "@primer/octicons-react": "^9.1.1",
    "reactstrap": "8.0.0",
    "react": "^16.8.6"
  },
  "nyc": {
    "include": [
      "lib/**/*"
    ],
    "exclude": [
      "**/*.test.*"
    ],
    "extension": [
      ".ts",
      ".tsx"
    ]
  }
}
